> For the complete documentation index, see [llms.txt](https://docs.r0app.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.r0app.com/api/account-resources/reminders.md).

# Reminders

### View reminders

{% hint style="info" %}
Please be aware that once reminders are sent, they are removed from the list. This includes both one-time reminders and recurring reminders. As a result, you will not see any reminders that have already been dispatched.
{% endhint %}

## View reminders

<mark style="color:blue;">`GET`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/reminders`

Returns a paginated list of your reminders.

#### Query Parameters

| Name  | Type    | Description                                                                                                                                                        |
| ----- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| page  | Integer | For more info, see the [pagination section ](/api/introduction/getting-started.md#pagination)in the [Getting started](/api/introduction/getting-started.md) guide. |
| limit | Integer | For more info, see the [pagination section ](/api/introduction/getting-started.md#pagination)in the [Getting started](/api/introduction/getting-started.md) guide. |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/reminders \
    -X GET \
    -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}

### Create a reminder

## Create a reminder

<mark style="color:green;">`POST`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/reminders`

#### Request Body

| Name                                      | Type    | Description                                                                                                                                                                                                     |
| ----------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| user\_reminder\[remind\_by]               | String  | Options include `email` or `push` (mobile push notification, if enabled on mobile first)                                                                                                                        |
| user\_reminder\[repeat\_every\_unit]      | String  | Options include `hour`, `day`, or `week`                                                                                                                                                                        |
| user\_reminder\[repeat\_every\_magnitude] | Integer | <p>This field should be equal to the number you'd like between your reminders. <br><br>E.g. if you wanted to be reminded every other week set this to 2 and the field above to <code>week</code>.</p>           |
| user\_reminder\[schedule\_at]             | String  | The scheduling time is a slight modification of the [ISO8601 time format](https://en.wikipedia.org/wiki/ISO_8601); `Y-m-dTH:M`. E.g. `2023-12-25 05:59` (please note the "T" is required and cannot be a space) |
| user\_reminder\[title]                    | String  |                                                                                                                                                                                                                 |
| user\_reminder\[repeat\_count]            | Integer | Represents the number of reminders you'll receive                                                                                                                                                               |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/reminders \
    -X POST \
    -H 'Authorization: Bearer <token>' \
    -F 'user_reminder[remind_by]=email' \
    -F 'user_reminder[schedule_at]=2023-12-25T05:59' \
    -F 'user_reminder[title]=Example reminder' \
    -F 'user_reminder[repeat_every_unit]=week' \
    -F 'user_reminder[repeat_every_magnitude]=1' \
    -F 'user_reminder[repeat_count]=52'
```

{% endtab %}
{% endtabs %}

### Update a reminder

## Create a reminder

<mark style="color:purple;">`PATCH`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/reminders/:reminder_id`

#### Request Body

| Name                                      | Type    | Description                                                                                                                                                                                                     |
| ----------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| user\_reminder\[remind\_by]               | String  | Options include `email` or `push` (mobile push notification, if enabled on mobile first)                                                                                                                        |
| user\_reminder\[repeat\_every\_unit]      | String  | Options include `hour`, `day`, or `week`                                                                                                                                                                        |
| user\_reminder\[repeat\_every\_magnitude] | Integer | <p>This field should be equal to the number you'd like between your reminders. <br><br>E.g. if you wanted to be reminded every other week set this to 2 and the field above to <code>week</code>.</p>           |
| user\_reminder\[schedule\_at]             | String  | The scheduling time is a slight modification of the [ISO8601 time format](https://en.wikipedia.org/wiki/ISO_8601); `Y-m-dTH:M`. E.g. `2023-12-25 05:59` (please note the "T" is required and cannot be a space) |
| user\_reminder\[title]                    | String  |                                                                                                                                                                                                                 |
| user\_reminder\[repeat\_count]            | Integer | Represents the number of reminders you'll receive                                                                                                                                                               |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/reminders/:reminder_id \
    -X POST \
    -H 'Authorization: Bearer <token>' \
    -F 'user_reminder[repeat_every_unit]=year'
```

{% endtab %}
{% endtabs %}

### Delete a reminder

## Delete a reminder

<mark style="color:red;">`DELETE`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/reminders/:reminder_id`

#### Path Parameters

| Name                                          | Type | Description |
| --------------------------------------------- | ---- | ----------- |
| Reminder id<mark style="color:red;">\*</mark> | UUID |             |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/reminders/:reminder_id \
    -X POST \
    -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.r0app.com/api/account-resources/reminders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
